# $subscriptionName = "<SubscriptionName>"       
# $storageAccountName = "<StorageAccountName>"   
# $containerName = "<ContainerName>"             

# Run the following commands to create a Windows Azure storage context object:
# Create the storage account context object
Select-AzureSubscription $subscriptionName
$storageAccountKey = Get-AzureStorageKey $storageAccountName | %{ $_.Primary }
$storageContext = New-AzureStorageContext -StorageAccountName $storageAccountName -StorageAccountKey $storageAccountKey  

# Run the following command to download the MapReduce job output from the Blob container to the workstation:
# Download the job output to the workstation
Get-AzureStorageBlobContent -Container $ContainerName -Blob wordcount/output/part-00000 -Context $storageContext -Force

# Run the following command to print the MapReduce job output file:
cat wordcount/output/part-00000 | findstr "there"

