# This assumes that the executables and input have been populated

# The storage account and the HDInsight cluster variables
# $subscriptionName = "<WindowsAzureSubscriptionName>"
$storageAccountName_Data = "bobbmsdn"
$containerName_Data = "hadoop3"

# The streaming MapReduce job variables
$mrMapper = "wordcountMapper.exe"
$mrReducer = "wordcountReducer.exe"

$mrMapperFile = "wasb://$containerName_Data@$storageAccountName_Data.blob.core.windows.net/wordcount/apps/wordcountMapper.exe"
$mrReducerFile = "wasb://$containerName_Data@$storageAccountName_Data.blob.core.windows.net/wordcount/apps/wordcountReducer.exe"
$mrInput = "wasb://$containerName_Data@$storageAccountName_Data.blob.core.windows.net/wordcount/input/"
$mrOutput = "wasb://$containerName_Data@$storageAccountName_Data.blob.core.windows.net/wordcount/output/"
$mrStatusOutput = "wasb://$containerName_Data@$storageAccountName_Data.blob.core.windows.net/wordcount/mrStatusOutput/"

Select-AzureSubscription $subscriptionName

#=============================
# Create a streaming MapReduce job definition
Write-Host "Create a streaming MapReduce job definition" -ForegroundColor Green

#$mrJobDef = New-AzureHDInsightStreamingMapReduceJobDefinition -JobName mrwordcountStreamingJob -StatusFolder $mrStatusOutput -Mapper $mrMapper -Reducer $mrReducer -InputPath $mrInput -OutputPath $mrOutput
$mrJobDef = New-AzureHDInsightStreamingMapReduceJobDefinition -JobName mrwordcountStreamingJob -Mapper $mrMapper -Reducer $mrReducer -InputPath $mrInput -OutputPath $mrOutput
$mrJobDef.Files.Add($mrMapperFile)
$mrJobDef.Files.Add($mrReducerFile)

#=============================
# Run a streaming MapReduce job
Write-Host "Run a streaming MapReduce job" -ForegroundColor Green
$mrJob = Start-AzureHDInsightJob -Cluster $clusterName -JobDefinition $mrJobDef 
Wait-AzureHDInsightJob -Job $mrJob -WaitTimeoutInSeconds 3600 

Get-AzureHDInsightJobOutput -Cluster $clusterName -JobId $mrJob.JobId -StandardError  
Get-AzureHDInsightJobOutput -Cluster $clusterName -JobId $mrJob.JobId -StandardOutput 