# Set the first three variables, and then run the commands
# Set in hadoop_vars.ps1
# $subscriptionName = "<AzureSubscriptionName>"
# $storageAccountName = "<AzureStorageAccountName>"  
# $containerName = "<ContainerName>"

$localFolder = "C:\Scripts\DevWeek\Hadoop\CSMapReduceDemo"
$destFolder = "wordcount/input"

# Run the following commands to get a list of the txt files in the source file folder:
# Get a list of the txt files
$filesAll = Get-ChildItem $localFolder
$filesTxt = $filesAll | where {$_.Extension -eq ".txt"}

# Run the following commands to create a storage context object:
# Create a storage context object
Select-AzureSubscription $subscriptionName
$storageaccountkey = get-azurestoragekey $storageAccountName | %{$_.Primary}
$destContext = New-AzureStorageContext -StorageAccountName $storageAccountName -StorageAccountKey $storageaccountkey

# Run the following commands to copy the files:
# Copy the file from local workstation to the Blob container        
foreach ($file in $filesTxt){

    $fileName = "$localFolder\$file"
    $blobName = "$destFolder/$file"

    write-host "Copying $fileName to $blobName"

    Set-AzureStorageBlobContent -File $fileName -Container $containerName -Blob $blobName -Context $destContext
}


# Run the following command to list the uploaded files:
# List the uploaded files in the Blob storage container
Get-AzureStorageBlob -Container $containerName  -Context $destContext -Prefix $destFolder

# To upload the word count applications

# Set the first three variables, and then run the commands:
# $subscriptionName = "<AzureSubscriptionName>"
# $storageAccountName = "<AzureStorageAccountName>"  
# $containerName = "<ContainerName>"

# Notice the destination folder is wordcount/Apps.
$mapperFile = "C:\Scripts\DevWeek\Hadoop\CSMapReduceDemo\wordcountMapper.exe"
$reducerFile = "C:\Scripts\DevWeek\Hadoop\CSMapReduceDemo\wordcountReducer.exe"
$blobFolder = "wordcount/apps"

# Run the following commands to create a storage context object:
# Create a storage context object
Select-AzureSubscription $subscriptionName
$storageaccountkey = get-azurestoragekey $storageAccountName | %{$_.Primary}
$destContext = New-AzureStorageContext -StorageAccountName $storageAccountName -StorageAccountKey $storageaccountkey

# Run the following commands to copy the applications:
Set-AzureStorageBlobContent -File $mapperFile -Container $containerName -Blob "$blobFolder/wordcountMapper.exe" -Context $destContext
Set-AzureStorageBlobContent -File $reducerFile -Container $containerName -Blob "$blobFolder/wordcountReducer.exe" -Context $destContext

# List the uploaded files in the Blob storage container
Get-AzureStorageBlob -Container $containerName  -Context $destContext -Prefix $blobFolder