
$subscriptionName = "<SubscriptionName>"        # The name of the Azure subscription.
$storageAccountName = "<StorageAccountName>"    # The Windows Azure storage account that hosts the default container. The default container will be used as the default file system.
$containerName = "<ContainerName>"              # The Windows Azure Blob storage container that will be used as the default file system for the HDInsight cluster.

$clusterName = "<HDInsightClusterName>"         # The name you will name your HDInsight cluster.
$location = "<MicrosoftDataCenter>"             # The location of the HDInsight cluster. It must in the same data center as the storage account.
$clusterNodes = <ClusterSizeInNodes>            # The number of nodes in the HDInsight cluster.

# Get the storage primary key based on the account name
Select-AzureSubscription $subscriptionName
$storageAccountKey = Get-AzureStorageKey $storageAccountName | %{ $_.Primary }

# Create a new HDInsight cluster
New-AzureHDInsightCluster -Name $clusterName -Location $location -DefaultStorageAccountName "$storageAccountName.blob.core.windows.net" -DefaultStorageAccountKey $storageAccountKey -DefaultStorageContainerName $containerName  -ClusterSizeInNodes $clusterNodes