# $subscriptionName = "<SubscriptionName>"       
# $storageAccountName = "<StorageAccountName>"   
# $containerName = "<ContainerName>"             

# Create the storage account context object
Select-AzureSubscription $subscriptionName
$storageAccountKey = Get-AzureStorageKey $storageAccountName | %{ $_.Primary }
$storageContext = New-AzureStorageContext -StorageAccountName $storageAccountName -StorageAccountKey $storageAccountKey  

# Run the following command to download the MapReduce job output from the Blob container to the workstation:
# Download the job output to the workstation
Get-AzureStorageBlobContent -Container $ContainerName -Blob example/data/WordCountOutput/part-r-00000 -Context $storageContext -Force

# The example/data/WordCountOutput folder is the output folder specified when you run the MapReduce job. 
# part-r-00000 is the default file name for MapReduce job output
# Run the following command to print the MapReduce job output file:
cat ./example/data/WordCountOutput/part-r-00000 | findstr "there"

