# Set these variables first
# $subscriptionName = "<WindowsAzureSubscriptionName>"
# $clusterName = "<HDInsightClusterName>"

# Set these variables next
# $sqlDatabaseServerName = "<YourWASDDatabase>"
# $sqlDatabaseUserName = "<YourDatabaseUser>"
# $sqlDatabasePassword = "<YourDatabaseUserPassword>"

# job-specific parms
$sqlDatabaseDatabaseName = "pubs"
$tableName = "authors"

$hdfsOutputDir = "/sqoopfiles"  # This is the HDFS path for the output file

Select-AzureSubscription $subscriptionName
Use-AzureHDInsightCluster $clusterName

$sqoopDef = New-AzureHDInsightSqoopJobDefinition -Command "import --connect jdbc:sqlserver://$sqlDatabaseServerName.database.windows.net;user=$sqlDatabaseUserName@$sqlDatabaseServerName;password=$sqlDatabasePassword;database=$sqlDatabaseDatabaseName --table $tableName --target-dir $hdfsOutputDir --hive-import -m 1" 

$sqoopJob = Start-AzureHDInsightJob -Cluster $clusterName -JobDefinition $sqoopDef #-Debug -Verbose
Wait-AzureHDInsightJob -WaitTimeoutInSeconds 3600 -Job $sqoopJob

Write-Host "Standard Error" -BackgroundColor Green
Get-AzureHDInsightJobOutput -Cluster $clusterName -JobId $sqoopJob.JobId -StandardError
Write-Host "Standard Output" -BackgroundColor Green
Get-AzureHDInsightJobOutput -Cluster $clusterName -JobId $sqoopJob.JobId -StandardOutput